Login Password Config API
Create password login config
Create a password login configuration for the application.
POST
/
v2
/
session
/
apps
/
{appID}
/
config
/
login
/
password
Create password login config
curl --request POST \
--url https://api.prelude.dev/v2/session/apps/{appID}/config/login/password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hash_method": "<string>",
"enabled": true,
"rate_limit_login_ip": {
"ttl": 123,
"limit": 123
},
"rate_limit_login_identifier": {
"ttl": 123,
"limit": 123
},
"password_compliancy": {
"min_length": 123,
"max_length": 123,
"uppercase": 123,
"lowercase": 123,
"numbers": 123,
"symbols": 123
}
}
'import requests
url = "https://api.prelude.dev/v2/session/apps/{appID}/config/login/password"
payload = {
"hash_method": "<string>",
"enabled": True,
"rate_limit_login_ip": {
"ttl": 123,
"limit": 123
},
"rate_limit_login_identifier": {
"ttl": 123,
"limit": 123
},
"password_compliancy": {
"min_length": 123,
"max_length": 123,
"uppercase": 123,
"lowercase": 123,
"numbers": 123,
"symbols": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hash_method: '<string>',
enabled: true,
rate_limit_login_ip: {ttl: 123, limit: 123},
rate_limit_login_identifier: {ttl: 123, limit: 123},
password_compliancy: {
min_length: 123,
max_length: 123,
uppercase: 123,
lowercase: 123,
numbers: 123,
symbols: 123
}
})
};
fetch('https://api.prelude.dev/v2/session/apps/{appID}/config/login/password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"hash_method": "<string>",
"enabled": true,
"rate_limit_login_ip": {
"ttl": 123,
"limit": 123
},
"rate_limit_login_identifier": {
"ttl": 123,
"limit": 123
},
"password_compliancy": {
"min_length": 123,
"max_length": 123,
"uppercase": 123,
"lowercase": 123,
"numbers": 123,
"symbols": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"code": "invalid_request",
"status": "bad_request",
"message": "<string>"
}{
"code": "app_not_found",
"status": "not_found",
"message": "<string>"
}{
"code": "password_config_already_exists",
"status": "conflict",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the app the request refers to. An application's unique identifier.
Examples:
"54e9ujn"
"fvua38g"
Body
application/json
Response
Created
Show child attributes
Show child attributes
⌘I
Create password login config
